#
# This file is part of the LibreOffice project.
#
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.
#
# This file incorporates work covered by the following license notice:
#
#   Licensed to the Apache Software Foundation (ASF) under one or more
#   contributor license agreements. See the NOTICE file distributed
#   with this work for additional information regarding copyright
#   ownership. The ASF licenses this file to you under the Apache
#   License, Version 2.0 (the "License"); you may not use this file
#   except in compliance with the License. You may obtain a copy of
#   the License at http://www.apache.org/licenses/LICENSE-2.0 .
#

# Format:

# Start
# scpModule
# shellscript file (optional)
# solarispackagename
# solarisrequires (optional)
# solarisprovides (optional)
# packagename
# linuxreplaces (optional)
# requires (optional)
# provides (optional)
# copyright
# vendor
# description
# destpath
# End

Start
module = "gid_Module_Optional_Extensions_MEDIAWIKI"
solarispackagename = "%BASISPACKAGEPREFIX-extension-mediawiki-publisher"
solarisrequires =  "%BASISPACKAGEPREFIX-core (Name="Core module for %PRODUCTNAME %PRODUCTVERSION")"
packagename = "%BASISPACKAGEPREFIX-extension-mediawiki-publisher"
requires = "%BASISPACKAGEPREFIX-core %PACKAGEVERSION %PACKAGEVERSION-%PACKAGEREVISION"
linuxpatchrequires = ""
copyright = "2023 Collabora Productivity Ltd."
solariscopyright = "solariscopyrightfile"
vendor = "Collabora Productivity Ltd."
description = "MediaWiki publisher extension for %PRODUCTNAME %PRODUCTVERSION"
destpath = "/opt"
packageversion = "%PACKAGEVERSION"
End

Start
module = "gid_Module_Optional_Extensions_NumberText"
solarispackagename = "%BASISPACKAGEPREFIX-extension-numbertext"
solarisrequires =  "%BASISPACKAGEPREFIX-core (Name="Core module for %PRODUCTNAME %PRODUCTVERSION")"
packagename = "%BASISPACKAGEPREFIX-extension-numbertext"
requires = "%BASISPACKAGEPREFIX-core %PACKAGEVERSION %PACKAGEVERSION-%PACKAGEREVISION"
linuxpatchrequires = ""
copyright = "2009 by FSF.hu"
solariscopyright = "solariscopyrightfile"
vendor = "Collabora Productivity Ltd."
description = "Numbertext extension for %PRODUCTNAME %PRODUCTVERSION"
destpath = "/opt"
packageversion = "%PACKAGEVERSION"
End

Start
module = "gid_Module_Optional_Extensions_NLPSolver"
solarispackagename = "%BASISPACKAGEPREFIX-extension-nlpsolver"
solarisrequires =  "%BASISPACKAGEPREFIX-core (Name="Core module for %PRODUCTNAME %PRODUCTVERSION")"
packagename = "%BASISPACKAGEPREFIX-extension-nlpsolver"
requires = "%BASISPACKAGEPREFIX-core %PACKAGEVERSION %PACKAGEVERSION-%PACKAGEREVISION"
linuxpatchrequires = ""
copyright = "2023 Collabora Productivity Ltd."
solariscopyright = "solariscopyrightfile"
vendor = "Collabora Productivity Ltd."
description = "NLPSolver extension for %PRODUCTNAME %PRODUCTVERSION"
destpath = "/opt"
packageversion = "%PACKAGEVERSION"
End


Start
module = "gid_Module_Optional_Extensions_Script_Provider_For_BS"
solarispackagename = "%BASISPACKAGEPREFIX-extension-beanshell-script-provider"
solarisrequires =  "%BASISPACKAGEPREFIX-core (Name="Core module for %PRODUCTNAME %PRODUCTVERSION")"
packagename = "%BASISPACKAGEPREFIX-extension-beanshell-script-provider"
requires = "%BASISPACKAGEPREFIX-core %PACKAGEVERSION %PACKAGEVERSION-%PACKAGEREVISION"
linuxpatchrequires = ""
copyright = "2023 Collabora Productivity Ltd."
solariscopyright = "solariscopyrightfile"
vendor = "Collabora Productivity Ltd."
description = "Script provider for BeanShell extension for %PRODUCTNAME %PRODUCTVERSION"
destpath = "/opt"
packageversion = "%PACKAGEVERSION"
End

Start
module = "gid_Module_Optional_Extensions_Script_Provider_For_JS"
solarispackagename = "%BASISPACKAGEPREFIX-extension-javascript-script-provider"
solarisrequires =  "%BASISPACKAGEPREFIX-core (Name="Core module for %PRODUCTNAME %PRODUCTVERSION")"
packagename = "%BASISPACKAGEPREFIX-extension-javascript-script-provider"
requires = "%BASISPACKAGEPREFIX-core %PACKAGEVERSION %PACKAGEVERSION-%PACKAGEREVISION"
linuxpatchrequires = ""
copyright = "2023 Collabora Productivity Ltd."
solariscopyright = "solariscopyrightfile"
vendor = "Collabora Productivity Ltd."
description = "Script provider for JavaScript extension for %PRODUCTNAME %PRODUCTVERSION"
destpath = "/opt"
packageversion = "%PACKAGEVERSION"
End
